View Issue Details

IDProjectCategoryView StatusLast Update
0002878Far ManagerMacropublic2014-12-16 22:35
ReporterJohnDoeAssigned Tovskirdin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.0 
Target VersionFixed in Version3.0 
Summary0002878: Object.CheckHotkey
DescriptionДанная функция, как и практически все остальные в макро апи, оперирует только видимыми элементами.
Это значит что скрытые элементы в нумерации не участвуют.

Однако проверка показала, что второй параметр в данный момент должен учитывать и скрытые.
И помимо прочего, это не согласуется с возвращаемым значением функции.
Steps To ReproduceДля воспроизведения проблемы можно запустить и командной строки макрос, подобный этому:
lua:Keys"F11 RAlt p"; far.Show(Object.CheckHotkey("l",2))
Additional Informationhttp://api.farmanager.com/ru/macro/macrocmd/prop_func/menus.html#checkhotkey
TagsNo tags attached.
Build4215

Activities

JohnDoe

2014-12-07 00:57

updater   bugnote:0013305

А а идеале было бы добавить ещё один параметр, указывающий, учитывать ли скрытые элементы.
Это имеет значение поскольку за неимением аналогов в плагиновом апи данную функцию приходится использовать и в LuaFAR коде (аналогично и Object.GetHotkey).

shmuel

2014-12-09 17:41

developer   bugnote:0013310

> Это имеет значение поскольку за неимением аналогов в плагиновом апи данную
> функцию приходится использовать и в LuaFAR коде

Готовых аналогов нет, но нельзя ли её написать на Lua с использованием плагинового API ?

JohnDoe

2014-12-09 19:38

updater   bugnote:0013314

Last edited: 2014-12-09 19:40

View 2 revisions

>нельзя ли её написать на Lua с использованием плагинового API ?
Насколько я понимаю, Check/GetHotkey имеют доступ к внутренностям, недоступным через апи.
Через апи можно получить текст, и эвристически вычислить хоткей, если он назначен вручную (тогда он снабжён амперсандом и отделён несколькими пробелами).

Если же хоткей прямо в тексте, то я не знаю как его получить.

P.S.
Был один тикет: 0001422

vskirdin

2014-12-15 13:50

administrator   bugnote:0013320

build 4215

JohnDoe

2014-12-16 12:34

updater   bugnote:0013331

Порядок

Issue History

Date Modified Username Field Change
2014-12-07 00:51 JohnDoe New Issue
2014-12-07 00:57 JohnDoe Note Added: 0013305
2014-12-09 17:41 shmuel Note Added: 0013310
2014-12-09 19:38 JohnDoe Note Added: 0013314
2014-12-09 19:40 JohnDoe Note Edited: 0013314 View Revisions
2014-12-15 13:50 vskirdin Note Added: 0013320
2014-12-15 13:50 vskirdin Assigned To => vskirdin
2014-12-15 13:50 vskirdin Status new => feedback
2014-12-16 12:34 JohnDoe Note Added: 0013331
2014-12-16 12:34 JohnDoe Status feedback => assigned
2014-12-16 22:35 vskirdin Build => 4215
2014-12-16 22:35 vskirdin Status assigned => closed
2014-12-16 22:35 vskirdin Resolution open => fixed
2014-12-16 22:35 vskirdin Fixed in Version => 3.0